VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL In0(15:0)
        SIGNAL In1(15:0)
        SIGNAL Output(15:0)
        SIGNAL XLXN_7
        SIGNAL Subtract
        SIGNAL XLXN_10
        SIGNAL Zero
        SIGNAL Output(0)
        SIGNAL Output(1)
        SIGNAL Output(2)
        SIGNAL Output(3)
        SIGNAL Output(4)
        SIGNAL Output(5)
        SIGNAL Output(6)
        SIGNAL Output(7)
        SIGNAL Output(8)
        SIGNAL Output(9)
        SIGNAL Output(10)
        SIGNAL Output(11)
        SIGNAL Output(12)
        SIGNAL Output(13)
        SIGNAL Output(14)
        SIGNAL Output(15)
        PORT Input In0(15:0)
        PORT Input In1(15:0)
        PORT Output Output(15:0)
        PORT Input Subtract
        PORT Output Zero
        BEGIN BLOCKDEF addsub16
            TIMESTAMP 2005 10 17 16 29 1
            RECTANGLE N 32 0 448 384 
            LINE N 0 48 32 48 
            BEGIN LINE W 0 176 32 176 
            END LINE
            BEGIN LINE W 0 80 32 80 
            END LINE
            LINE N 448 48 480 48 
            BEGIN LINE W 448 144 480 144 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF or16
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -448 48 -448 
            LINE N 48 -592 48 -1024 
            ARC N 28 -592 204 -416 192 -544 112 -592 
            LINE N 112 -496 48 -496 
            ARC N 28 -672 204 -496 112 -496 192 -544 
            LINE N 112 -592 48 -592 
            ARC N -40 -600 72 -488 48 -496 48 -592 
            LINE N 48 -64 48 -496 
            LINE N 256 -544 192 -544 
            LINE N 0 -640 48 -640 
            LINE N 0 -576 64 -576 
            LINE N 0 -512 64 -512 
            LINE N 0 -384 48 -384 
            LINE N 0 -320 48 -320 
            LINE N 0 -256 48 -256 
            LINE N 0 -192 48 -192 
            LINE N 0 -1024 48 -1024 
            LINE N 0 -960 48 -960 
            LINE N 0 -896 48 -896 
            LINE N 0 -832 48 -832 
            LINE N 0 -768 48 -768 
            LINE N 0 -704 48 -704 
            LINE N 0 -128 48 -128 
            LINE N 0 -64 48 -64 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 addsub16
            PIN ADD XLXN_7
            PIN B(15:0) In1(15:0)
            PIN A(15:0) In0(15:0)
            PIN OVFL
            PIN S(15:0) Output(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_2 inv
            PIN I Subtract
            PIN O XLXN_7
        END BLOCK
        BEGIN BLOCK XLXI_4 or16
            PIN I0 Output(15)
            PIN I1 Output(14)
            PIN I10 Output(5)
            PIN I11 Output(4)
            PIN I12 Output(3)
            PIN I13 Output(2)
            PIN I14 Output(1)
            PIN I15 Output(0)
            PIN I2 Output(13)
            PIN I3 Output(12)
            PIN I4 Output(11)
            PIN I5 Output(10)
            PIN I6 Output(9)
            PIN I7 Output(8)
            PIN I8 Output(7)
            PIN I9 Output(6)
            PIN O XLXN_10
        END BLOCK
        BEGIN BLOCK XLXI_5 inv
            PIN I XLXN_10
            PIN O Zero
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_1 1440 1008 R0
        END INSTANCE
        BEGIN BRANCH In0(15:0)
            WIRE 576 1088 752 1088
            WIRE 752 1088 1440 1088
            BEGIN DISPLAY 752 1088 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH In1(15:0)
            WIRE 576 1200 720 1200
            WIRE 720 1200 928 1200
            WIRE 928 1184 1440 1184
            WIRE 928 1184 928 1200
            BEGIN DISPLAY 720 1200 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 576 1088 In0(15:0) R180 28
        IOMARKER 576 1200 In1(15:0) R180 28
        BEGIN BRANCH Output(15:0)
            WIRE 1920 1152 2416 1152
            WIRE 2416 1152 2416 1168
            WIRE 2416 1168 2576 1168
            WIRE 2576 1168 2768 1168
            BEGIN DISPLAY 2576 1168 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 2768 1168 Output(15:0) R0 28
        INSTANCE XLXI_2 1088 880 R0
        BEGIN BRANCH XLXN_7
            WIRE 1312 848 1376 848
            WIRE 1376 848 1376 1056
            WIRE 1376 1056 1440 1056
        END BRANCH
        BEGIN BRANCH Subtract
            WIRE 576 448 576 672
            WIRE 576 672 576 704
            WIRE 576 448 832 448
            WIRE 832 448 832 848
            WIRE 832 848 1088 848
            BEGIN DISPLAY 576 672 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 576 704 Subtract R90 28
        INSTANCE XLXI_4 2304 2448 R0
        INSTANCE XLXI_5 2624 1936 R0
        BEGIN BRANCH XLXN_10
            WIRE 2560 1904 2624 1904
        END BRANCH
        BEGIN BRANCH Zero
            WIRE 2848 1904 2928 1904
            WIRE 2928 1904 3088 1904
            WIRE 3088 1904 3280 1904
            BEGIN DISPLAY 3088 1904 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 3280 1904 Zero R0 28
        BEGIN BRANCH Output(0)
            WIRE 2240 1424 2256 1424
            WIRE 2256 1424 2304 1424
            BEGIN DISPLAY 2256 1424 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(1)
            WIRE 2240 1488 2304 1488
            BEGIN DISPLAY 2240 1488 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(2)
            WIRE 2224 1552 2256 1552
            WIRE 2256 1552 2304 1552
            BEGIN DISPLAY 2256 1552 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(3)
            WIRE 2240 1616 2272 1616
            WIRE 2272 1616 2304 1616
            BEGIN DISPLAY 2272 1616 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(4)
            WIRE 2240 1680 2272 1680
            WIRE 2272 1680 2304 1680
            BEGIN DISPLAY 2272 1680 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(5)
            WIRE 2240 1744 2272 1744
            WIRE 2272 1744 2304 1744
            BEGIN DISPLAY 2272 1744 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(6)
            WIRE 2240 1808 2272 1808
            WIRE 2272 1808 2304 1808
            BEGIN DISPLAY 2272 1808 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(7)
            WIRE 2240 1872 2272 1872
            WIRE 2272 1872 2304 1872
            BEGIN DISPLAY 2272 1872 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(8)
            WIRE 2240 1936 2272 1936
            WIRE 2272 1936 2304 1936
            BEGIN DISPLAY 2272 1936 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(9)
            WIRE 2240 2000 2288 2000
            WIRE 2288 2000 2304 2000
            BEGIN DISPLAY 2288 2000 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(10)
            WIRE 2240 2064 2288 2064
            WIRE 2288 2064 2304 2064
            BEGIN DISPLAY 2288 2064 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(11)
            WIRE 2240 2128 2288 2128
            WIRE 2288 2128 2304 2128
            BEGIN DISPLAY 2288 2128 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(12)
            WIRE 2240 2192 2288 2192
            WIRE 2288 2192 2304 2192
            BEGIN DISPLAY 2288 2192 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(13)
            WIRE 2224 2256 2288 2256
            WIRE 2288 2256 2304 2256
            BEGIN DISPLAY 2288 2256 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(14)
            WIRE 2240 2320 2272 2320
            WIRE 2272 2320 2304 2320
            BEGIN DISPLAY 2272 2320 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(15)
            WIRE 2224 2384 2272 2384
            WIRE 2272 2384 2304 2384
            BEGIN DISPLAY 2272 2384 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
    END SHEET
END SCHEMATIC
