VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL Instruction(3:0)
        SIGNAL PCWen
        SIGNAL EPCWen
        SIGNAL IRWen
        SIGNAL AWen
        SIGNAL BWen
        SIGNAL CWen
        SIGNAL RegWen
        SIGNAL SPRegWen
        SIGNAL MemWen
        SIGNAL PCInputSelect(1:0)
        SIGNAL SPRegisterWriteSource(1:0)
        SIGNAL MemoryReadAddressSelect(1:0)
        SIGNAL AdderInputSelect(1:0)
        SIGNAL AdderMode
        SIGNAL RegisterReadMode
        SIGNAL RegisterWriteDataSourceSelect(2:0)
        SIGNAL InterruptFlag(15:0)
        SIGNAL IFWEn
        SIGNAL InstMod
        SIGNAL ComparatorResult
        SIGNAL Clk
        SIGNAL ButtonIn(5:0)
        PORT Input Instruction(3:0)
        PORT Output PCWen
        PORT Output EPCWen
        PORT Output IRWen
        PORT Output AWen
        PORT Output BWen
        PORT Output CWen
        PORT Output RegWen
        PORT Output SPRegWen
        PORT Output MemWen
        PORT Output PCInputSelect(1:0)
        PORT Output SPRegisterWriteSource(1:0)
        PORT Output MemoryReadAddressSelect(1:0)
        PORT Output AdderInputSelect(1:0)
        PORT Output AdderMode
        PORT Output RegisterReadMode
        PORT Output RegisterWriteDataSourceSelect(2:0)
        PORT Output InterruptFlag(15:0)
        PORT Output IFWEn
        PORT Input InstMod
        PORT Input ComparatorResult
        PORT Input Clk
        PORT Input ButtonIn(5:0)
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH Instruction(3:0)
            WIRE 640 416 880 416
        END BRANCH
        IOMARKER 640 416 Instruction(3:0) R180 28
        BEGIN BRANCH PCWen
            WIRE 1744 384 2128 384
        END BRANCH
        IOMARKER 2128 384 PCWen R0 28
        BEGIN BRANCH EPCWen
            WIRE 1744 432 2128 432
        END BRANCH
        IOMARKER 2128 432 EPCWen R0 28
        BEGIN BRANCH IRWen
            WIRE 1744 480 2128 480
        END BRANCH
        BEGIN BRANCH AWen
            WIRE 1744 528 2128 528
        END BRANCH
        IOMARKER 2128 480 IRWen R0 28
        IOMARKER 2128 528 AWen R0 28
        BEGIN BRANCH BWen
            WIRE 1744 576 2128 576
        END BRANCH
        BEGIN BRANCH CWen
            WIRE 1744 624 2128 624
        END BRANCH
        BEGIN BRANCH RegWen
            WIRE 1744 672 2128 672
        END BRANCH
        BEGIN BRANCH SPRegWen
            WIRE 1744 720 2128 720
        END BRANCH
        IOMARKER 2128 576 BWen R0 28
        IOMARKER 2128 624 CWen R0 28
        IOMARKER 2128 672 RegWen R0 28
        IOMARKER 2128 720 SPRegWen R0 28
        BEGIN BRANCH MemWen
            WIRE 1744 768 2128 768
        END BRANCH
        IOMARKER 2128 768 MemWen R0 28
        BEGIN BRANCH PCInputSelect(1:0)
            WIRE 1744 864 2128 864
        END BRANCH
        BEGIN BRANCH SPRegisterWriteSource(1:0)
            WIRE 1744 912 2128 912
        END BRANCH
        BEGIN BRANCH MemoryReadAddressSelect(1:0)
            WIRE 1744 960 2128 960
        END BRANCH
        BEGIN BRANCH AdderInputSelect(1:0)
            WIRE 1744 1008 2128 1008
        END BRANCH
        BEGIN BRANCH AdderMode
            WIRE 1744 1056 2128 1056
        END BRANCH
        BEGIN BRANCH RegisterReadMode
            WIRE 1744 1104 2128 1104
        END BRANCH
        BEGIN BRANCH RegisterWriteDataSourceSelect(2:0)
            WIRE 1744 1152 2128 1152
        END BRANCH
        BEGIN BRANCH InterruptFlag(15:0)
            WIRE 1744 1200 2128 1200
        END BRANCH
        IOMARKER 2128 912 SPRegisterWriteSource(1:0) R0 28
        IOMARKER 2128 960 MemoryReadAddressSelect(1:0) R0 28
        IOMARKER 2128 1008 AdderInputSelect(1:0) R0 28
        IOMARKER 2128 1056 AdderMode R0 28
        IOMARKER 2128 1104 RegisterReadMode R0 28
        IOMARKER 2128 1152 RegisterWriteDataSourceSelect(2:0) R0 28
        IOMARKER 2128 1200 InterruptFlag(15:0) R0 28
        IOMARKER 2128 864 PCInputSelect(1:0) R0 28
        BEGIN BRANCH IFWEn
            WIRE 1744 816 2128 816
        END BRANCH
        IOMARKER 2128 816 IFWEn R0 28
        BEGIN BRANCH InstMod
            WIRE 640 512 880 512
        END BRANCH
        BEGIN BRANCH ComparatorResult
            WIRE 640 560 880 560
        END BRANCH
        BEGIN BRANCH Clk
            WIRE 640 624 880 624
        END BRANCH
        IOMARKER 640 512 InstMod R180 28
        IOMARKER 640 560 ComparatorResult R180 28
        IOMARKER 640 624 Clk R180 28
        BEGIN BRANCH ButtonIn(5:0)
            WIRE 640 464 880 464
        END BRANCH
        IOMARKER 640 464 ButtonIn(5:0) R180 28
    END SHEET
END SCHEMATIC
