VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL S(1:0)
        SIGNAL MD(15:0)
        SIGNAL MC(15:0)
        SIGNAL MB(15:0)
        SIGNAL MA(15:0)
        SIGNAL O(15:0)
        PORT Input S(1:0)
        PORT Input MD(15:0)
        PORT Input MC(15:0)
        PORT Input MB(15:0)
        PORT Input MA(15:0)
        PORT Output O(15:0)
        BEGIN BLOCKDEF mux16by4
            TIMESTAMP 2005 10 24 23 54 3
            RECTANGLE N 32 0 256 168 
            BEGIN LINE W 0 16 32 16 
            END LINE
            BEGIN LINE W 0 48 32 48 
            END LINE
            BEGIN LINE W 0 80 32 80 
            END LINE
            BEGIN LINE W 0 112 32 112 
            END LINE
            BEGIN LINE W 0 144 32 144 
            END LINE
            BEGIN LINE W 256 80 288 80 
            END LINE
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 mux16by4
            PIN S(1:0) S(1:0)
            PIN MD(15:0) MD(15:0)
            PIN MC(15:0) MC(15:0)
            PIN MB(15:0) MB(15:0)
            PIN MA(15:0) MA(15:0)
            PIN O(15:0) O(15:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_1 768 624 R0
        END INSTANCE
        BEGIN BRANCH S(1:0)
            WIRE 704 640 752 640
            WIRE 752 640 768 640
        END BRANCH
        BEGIN BRANCH MD(15:0)
            WIRE 736 672 768 672
        END BRANCH
        BEGIN BRANCH MC(15:0)
            WIRE 736 704 752 704
            WIRE 752 704 768 704
        END BRANCH
        BEGIN BRANCH MB(15:0)
            WIRE 736 736 752 736
            WIRE 752 736 768 736
        END BRANCH
        BEGIN BRANCH MA(15:0)
            WIRE 736 768 768 768
        END BRANCH
        IOMARKER 736 672 MD(15:0) R180 28
        IOMARKER 736 704 MC(15:0) R180 28
        IOMARKER 736 736 MB(15:0) R180 28
        IOMARKER 736 768 MA(15:0) R180 28
        IOMARKER 704 640 S(1:0) R180 28
        BEGIN BRANCH O(15:0)
            WIRE 1056 704 1088 704
        END BRANCH
        IOMARKER 1088 704 O(15:0) R0 28
    END SHEET
END SCHEMATIC
