VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL Switches(15:0)
        SIGNAL Clk
        SIGNAL WE
        SIGNAL WD(15:0)
        SIGNAL WA(4:0)
        SIGNAL RA(4:0)
        SIGNAL Display0(15:0)
        SIGNAL Display1(15:0)
        SIGNAL Display2(15:0)
        SIGNAL Display3(15:0)
        SIGNAL RD(15:0)
        PORT Input Switches(15:0)
        PORT Input Clk
        PORT Input WE
        PORT Input WD(15:0)
        PORT Input WA(4:0)
        PORT Input RA(4:0)
        PORT Output Display0(15:0)
        PORT Output Display1(15:0)
        PORT Output Display2(15:0)
        PORT Output Display3(15:0)
        PORT Output RD(15:0)
        BEGIN BLOCKDEF SPRegFile
            TIMESTAMP 2005 10 25 19 53 47
            RECTANGLE N 64 -384 384 0 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 384 -364 448 -340 
            LINE N 384 -352 448 -352 
            RECTANGLE N 384 -284 448 -260 
            LINE N 384 -272 448 -272 
            RECTANGLE N 384 -204 448 -180 
            LINE N 384 -192 448 -192 
            RECTANGLE N 384 -124 448 -100 
            LINE N 384 -112 448 -112 
            RECTANGLE N 384 -44 448 -20 
            LINE N 384 -32 448 -32 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 SPRegFile
            PIN RegWrite WE
            PIN CLK Clk
            PIN ReadReg1(4:0) RA(4:0)
            PIN WriteReg(4:0) WA(4:0)
            PIN WriteData(15:0) WD(15:0)
            PIN Switches(15:0) Switches(15:0)
            PIN ReadData1(15:0) RD(15:0)
            PIN Display0(15:0) Display0(15:0)
            PIN Display1(15:0) Display1(15:0)
            PIN Display2(15:0) Display2(15:0)
            PIN Display3(15:0) Display3(15:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_1 1440 1952 R0
        END INSTANCE
        BEGIN BRANCH Switches(15:0)
            WIRE 1200 1920 1328 1920
            WIRE 1328 1920 1440 1920
            BEGIN DISPLAY 1328 1920 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 1200 1920 Switches(15:0) R180 28
        BEGIN BRANCH Clk
            WIRE 1200 1664 1360 1664
            WIRE 1360 1664 1440 1664
            BEGIN DISPLAY 1360 1664 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 1200 1664 Clk R180 28
        BEGIN BRANCH WE
            WIRE 1200 1600 1296 1600
            WIRE 1296 1600 1440 1600
            BEGIN DISPLAY 1296 1600 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 1200 1600 WE R180 28
        BEGIN BRANCH WD(15:0)
            WIRE 1200 1856 1312 1856
            WIRE 1312 1856 1440 1856
            BEGIN DISPLAY 1312 1856 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 1200 1856 WD(15:0) R180 28
        BEGIN BRANCH WA(4:0)
            WIRE 1200 1792 1312 1792
            WIRE 1312 1792 1440 1792
            BEGIN DISPLAY 1312 1792 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 1200 1792 WA(4:0) R180 28
        BEGIN BRANCH RA(4:0)
            WIRE 1200 1728 1328 1728
            WIRE 1328 1728 1440 1728
            BEGIN DISPLAY 1328 1728 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 1200 1728 RA(4:0) R180 28
        BEGIN BRANCH Display0(15:0)
            WIRE 1888 1680 1984 1680
            WIRE 1984 1680 2096 1680
            BEGIN DISPLAY 1984 1680 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 2096 1680 Display0(15:0) R0 28
        BEGIN BRANCH Display1(15:0)
            WIRE 1888 1760 1984 1760
            WIRE 1984 1760 2096 1760
            BEGIN DISPLAY 1984 1760 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 2096 1760 Display1(15:0) R0 28
        BEGIN BRANCH Display2(15:0)
            WIRE 1888 1840 1984 1840
            WIRE 1984 1840 2096 1840
            BEGIN DISPLAY 1984 1840 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 2096 1840 Display2(15:0) R0 28
        BEGIN BRANCH Display3(15:0)
            WIRE 1888 1920 1984 1920
            WIRE 1984 1920 2096 1920
            BEGIN DISPLAY 1984 1920 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 2096 1920 Display3(15:0) R0 28
        BEGIN BRANCH RD(15:0)
            WIRE 1888 1600 1968 1600
            WIRE 1968 1600 2096 1600
            BEGIN DISPLAY 1968 1600 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 2096 1600 RD(15:0) R0 28
    END SHEET
END SCHEMATIC
