VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL Input(15:0)
        SIGNAL XLXN_3
        SIGNAL Zero(15:8)
        SIGNAL Input(15:8)
        SIGNAL Input(7:0)
        SIGNAL Zero(7:0)
        SIGNAL Zero(15:0)
        SIGNAL Output(31:24)
        SIGNAL Output(23:16)
        SIGNAL Output(15:8)
        SIGNAL Output(7:0)
        SIGNAL Output(31:0)
        PORT Input Input(15:0)
        PORT Output Output(31:0)
        BEGIN BLOCKDEF bufe8
            TIMESTAMP 2001 2 2 12 51 12
            RECTANGLE N 128 -44 224 -20 
            LINE N 0 -32 64 -32 
            LINE N 0 -96 64 -96 
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 224 -32 128 -32 
            LINE N 96 -96 64 -96 
            LINE N 96 -48 96 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2001 2 2 12 52 44
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF zero
            TIMESTAMP 2005 10 25 2 2 15
            RECTANGLE N 320 84 384 108 
            LINE N 320 96 384 96 
            RECTANGLE N 212 80 320 112 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 bufe8
            PIN E XLXN_3
            PIN I(7:0) Zero(15:8)
            PIN O(7:0) Output(31:24)
        END BLOCK
        BEGIN BLOCK XLXI_2 bufe8
            PIN E XLXN_3
            PIN I(7:0) Input(15:8)
            PIN O(7:0) Output(23:16)
        END BLOCK
        BEGIN BLOCK XLXI_3 bufe8
            PIN E XLXN_3
            PIN I(7:0) Input(7:0)
            PIN O(7:0) Output(15:8)
        END BLOCK
        BEGIN BLOCK XLXI_4 bufe8
            PIN E XLXN_3
            PIN I(7:0) Zero(7:0)
            PIN O(7:0) Output(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_5 vcc
            PIN P XLXN_3
        END BLOCK
        BEGIN BLOCK XLXI_6 zero
            PIN zero(15:0) Zero(15:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH Input(15:0)
            WIRE 432 832 624 832
        END BRANCH
        IOMARKER 432 832 Input(15:0) R180 28
        INSTANCE XLXI_1 1216 560 R0
        INSTANCE XLXI_2 1216 752 R0
        INSTANCE XLXI_3 1216 944 R0
        INSTANCE XLXI_4 1216 1120 R0
        BEGIN BRANCH XLXN_3
            WIRE 1200 304 1200 336
            WIRE 1200 336 1200 464
            WIRE 1200 464 1216 464
            WIRE 1200 464 1200 656
            WIRE 1200 656 1216 656
            WIRE 1200 656 1200 848
            WIRE 1200 848 1216 848
            WIRE 1200 848 1200 1024
            WIRE 1200 1024 1216 1024
        END BRANCH
        INSTANCE XLXI_5 1136 304 R0
        BEGIN BRANCH Zero(15:8)
            WIRE 1152 528 1216 528
            BEGIN DISPLAY 1152 528 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Input(15:8)
            WIRE 1152 720 1216 720
            BEGIN DISPLAY 1152 720 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Input(7:0)
            WIRE 1152 912 1216 912
            BEGIN DISPLAY 1152 912 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Zero(7:0)
            WIRE 1152 1088 1216 1088
            BEGIN DISPLAY 1152 1088 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_6 352 416 R0
        END INSTANCE
        BEGIN BRANCH Zero(15:0)
            WIRE 736 512 768 512
            BEGIN DISPLAY 768 512 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(31:24)
            WIRE 1440 528 1504 528
            BEGIN DISPLAY 1504 528 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(23:16)
            WIRE 1440 720 1520 720
            BEGIN DISPLAY 1520 720 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(15:8)
            WIRE 1440 912 1504 912
            BEGIN DISPLAY 1504 912 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(7:0)
            WIRE 1440 1088 1504 1088
            BEGIN DISPLAY 1504 1088 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(31:0)
            WIRE 1872 768 2000 768
            BEGIN DISPLAY 1872 768 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        IOMARKER 2000 768 Output(31:0) R0 28
    END SHEET
END SCHEMATIC
